#!/bin/sh -e

installtarget=/usr/local/bin
chatlogdir=/var/log/bunkchat
chatlog=chat.log

# check for root perms
if ! [ "$(id -u)" = 0 ]; then
    echo
    echo "ERROR: please run uninstall with root permissions"
    exit 1
fi

echo
echo "uninstalling bunkchat"
chattr -a ${chatlogdir}/${chatlog} # || echo && echo "ERROR: couldn't change attributes on $chatlog" && exit 1
rm -rf $chatlogdir # || echo & echo "ERROR: couldn't remove $chatlogdir" & exit 1
rm ${installtarget}/heed
rm ${installtarget}/proclaim
rm ${installtarget}/scry
echo
echo "SUCCESS! bunkchat uninstalled"
